import { IQuoteRequestLogoComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestLogo implements IQuoteRequestLogoComponent {
    /**
     * Logo url
     */
    logoUrl: string;
    /**
     * Carrier name
     */
    name: string;
    /**
     * Show logo
     */
    showLogo: boolean;
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
